org.apache.commons.math

## Class ArgumentOutsideDomainException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.commons.math.MathException
      - - org.apache.commons.math.FunctionEvaluationException
        - - org.apache.commons.math.ArgumentOutsideDomainException

- All Implemented Interfaces:
    Serializable, MathThrowable

      public class ArgumentOutsideDomainException
      extends FunctionEvaluationException

  Error thrown when a method is called with an out of bounds argument.
  Since:
    1.2
  Version:
    $Revision: 1070725 $ $Date: 2011-02-15 02:31:12 +0100 (mar. 15 févr. 2011) $
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID` Serializable version identifier.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArgumentOutsideDomainException(double argument, double lower, double upper)` Constructs an exception with specified formatted detail message.

  - ### Method Summary

    - ### Methods inherited from class org.apache.commons.math.FunctionEvaluationException

      `getArgument`

    - ### Methods inherited from class org.apache.commons.math.MathException

      `getArguments, getGeneralPattern, getLocalizedMessage, getMessage, getMessage, getPattern, getSpecificPattern, printStackTrace, printStackTrace`

    - ### Methods inherited from class java.lang.Throwable

      `fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      Serializable version identifier.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ArgumentOutsideDomainException

          public ArgumentOutsideDomainException(double argument,
                                        double lower,
                                        double upper)

      Constructs an exception with specified formatted detail message. Message formatting is delegated to `MessageFormat`.
      Parameters:
        `argument` - the failing function argument
        `lower` - lower bound of the domain
        `upper` - upper bound of the domain

Copyright (c) 2003-2013 Apache Software Foundation